package cmm.service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import cmm.util.CmmUtil;
import cmm.util.CmmVO;

@SuppressWarnings("serial")
public class CmmCulturePostVO extends CmmVO {
	private String id = null;
	private String contentId = null;
	private String title = "";
	private String summary = "";
	private String mainImg = "";
	private String mainImgOrignlFileNm = "";
	private String useAt = "";
	private String beginAt = "";
	private String endAt = "";
	private Date createDt;
	private Date updateDt;
	private String [] contentIds = null;
	private String tags = "";
	private String backImg = "";
	private String backImgOrignlFileNm = "";
	private String openAt = "N";
	private String atchCtrl = "";
	private String atchCtrl2 = "";
	private String topFontStyle ="";
	private String bottomColorStyle ="";
	private String totCnt ="";
	private String copyright ="";
	
	private String sortOrdr = ""; // 정렬순서 추가 (2019.10.25)
	
	List<CmmCulturePostContentVO> kdmCulturePostContentList = null;
	List<CmmCmsContentsVO> culturePostContentList = null;
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getContentId() {
		return contentId;
	}
	public void setContentId(String contentId) {
		this.contentId = contentId;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getSummary() {
		return summary;
	}
	public void setSummary(String summary) {
		this.summary = summary;
	}
	public String getMainImg() {
		return mainImg;
	}
	public void setMainImg(String mainImg) {
		this.mainImg = mainImg;
	}
	public String getMainImgOrignlFileNm() {
		return mainImgOrignlFileNm;
	}
	public void setMainImgOrignlFileNm(String mainImgOrignlFileNm) {
		this.mainImgOrignlFileNm = mainImgOrignlFileNm;
	}
	public String getUseAt() {
		return useAt;
	}
	public void setUseAt(String useAt) {
		this.useAt = useAt;
	}
	public String getBeginAt() {
		return beginAt;
	}
	public void setBeginAt(String beginAt) {
		this.beginAt = beginAt;
	}
	public String getEndAt() {
		return endAt;
	}
	public void setEndAt(String endAt) {
		this.endAt = endAt;
	}
	public Date getCreateDt() {
		return createDt;
	}
	public void setCreateDt(Date createDt) {
		this.createDt = createDt;
	}
	public Date getUpdateDt() {
		return updateDt;
	}
	public void setUpdateDt(Date updateDt) {
		this.updateDt = updateDt;
	}
	public String[] getContentIds() {
		String[] ret = null;
		if (this.contentIds != null) {
			ret = new String[contentIds.length];
			for (int i = 0; i < contentIds.length; i++) {
				ret[i] = this.contentIds[i];
			}
		}
		return ret;
	}
	public void setContentIds(String[] contentIds) {
		// 수정
		this.contentIds = new String[contentIds.length];
		for(int i = 0; i < contentIds.length; ++i)
		this.contentIds[i] = contentIds[i];
	}
	
	public String getTags() {
		return tags;
	}
	public void setTags(String tags) {
		this.tags = tags;
	}
	public List<CmmCulturePostContentVO> getKdmCulturePostContentList() {
		List<CmmCulturePostContentVO> cpc = null;
		if(this.kdmCulturePostContentList != null){
			cpc = new ArrayList<CmmCulturePostContentVO>(); 
			cpc = this.kdmCulturePostContentList;
		}
		
		return cpc;
	}
	public void setKdmCulturePostContentList(ArrayList<CmmCulturePostContentVO> kdmCulturePostContentList) {
		this.kdmCulturePostContentList = new ArrayList<CmmCulturePostContentVO> (kdmCulturePostContentList.size());
		for(int i=0; i<kdmCulturePostContentList.size(); ++i) {
			this.kdmCulturePostContentList.add(i, kdmCulturePostContentList.get(i)); 
		}
	}
	public List<CmmCmsContentsVO> getCulturePostContentList() {
		List<CmmCmsContentsVO> cpc = null;
		if(this.culturePostContentList != null){
			cpc = new ArrayList<CmmCmsContentsVO>(); 
			cpc = this.culturePostContentList;
		}
		return cpc;
	}
	public void setCulturePostContentList(ArrayList<CmmCmsContentsVO> culturePostContentList) {
		this.culturePostContentList = new ArrayList<CmmCmsContentsVO> (culturePostContentList.size());
		for(int i=0; i<culturePostContentList.size(); ++i) {
			this.culturePostContentList.add(i, culturePostContentList.get(i)); 
		}
	}
	public String getBackImg() {
		return backImg;
	}
	public void setBackImg(String backImg) {
		this.backImg = backImg;
	}
	public String getBackImgOrignlFileNm() {
		return backImgOrignlFileNm;
	}
	public void setBackImgOrignlFileNm(String backImgOrignlFileNm) {
		this.backImgOrignlFileNm = backImgOrignlFileNm;
	}
	public String getOpenAt() {
		return openAt;
	}
	public void setOpenAt(String openAt) {
		this.openAt = openAt;
	}
	public String getAtchCtrl() {
		return atchCtrl;
	}
	public void setAtchCtrl(String atchCtrl) {
		this.atchCtrl = atchCtrl;
	}
	public String getAtchCtrl2() {
		return atchCtrl2;
	}
	public void setAtchCtrl2(String atchCtrl2) {
		this.atchCtrl2 = atchCtrl2;
	}
	public String toString() {
    	return CmmUtil.reflectionToString(this);
    }
	public String getTopFontStyle() {
		return topFontStyle;
	}
	public void setTopFontStyle(String topFontStyle) {
		this.topFontStyle = topFontStyle;
	}
	public String getBottomColorStyle() {
		return bottomColorStyle;
	}
	public void setBottomColorStyle(String bottomColorStyle) {
		this.bottomColorStyle = bottomColorStyle;
	}
	public String getTotCnt() {
		return totCnt;
	}
	public void setTotCnt(String totCnt) {
		this.totCnt = totCnt;
	}
	public String getCopyright() {
		return copyright;
	}
	public void setCopyright(String copyright) {
		this.copyright = copyright;
	}
	public String getSortOrdr() {
		return sortOrdr;
	}
	public void setSortOrdr(String sortOrdr) {
		this.sortOrdr = sortOrdr;
	}
}
